Bug 117885 - Xvnc consumes 100% CPU
Xvnc consumes 100% CPU
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vnc (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Tkac
David Lawrence
RHEL3U7NAK
:
Depends On:
Blocks: 189875
  Show dependency treegraph
 
Reported: 2004-03-09 12:19 EST by Franky Wong
Modified: 2013-04-30 19:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 11:45:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Franky Wong 2004-03-09 12:19:08 EST
Description of problem:
Given enough time, Xvnc will consume a CPU.  The same problem happens 
to my httpd.worker threads (bug 117832).

Version-Release number of selected component (if applicable):
vnc-server-4.0-0.beta4.1.1

How reproducible:
Always

Steps to Reproduce:
1. Xvnc is started up by default when system starts
2. Wait for a day or two.
  
Actual results: top and "ps -fmHC Xvnc" will show that the process is 
consuming 100% of one CPU in the system, even though nobody is using 
Xvnc locally or remotely.

Expected results: Xvnc does not usually consume any CPU time.

Additional info:

# uname -a
Linux paprika 2.4.21-9.0.1.ELsmp #1 SMP Mon Feb 9 22:26:51 EST 2004
i686 i686 i386 GNU/Linux

RHEL 3.0 was installed with all package collections.

I have these in /etc/sysctl.conf.

net.ipv4.ip_forward = 0
net.ipv4.conf.default.rp_filter = 1
kernel.sysrq = 0
kernel.core_uses_pid = 1
fs.file-max = 65536
net.ipv4.tcp_fin_timeout=30
net.ipv4.tcp_keepalive_time=600
net.ipv4.tcp_syncookies=1
net.ipv4.icmp_ignore_bogus_error_responses=1

# ps -fmHC Xvnc
UID        PID  PPID  C STIME TTY          TIME CMD
root      1645     1 13 Mar03 ?        18:20:58 Xvnc :1 -desktop 
paprika:1 (root) -httpd /usr/share/vnc/class

# gdb
GNU gdb Red Hat Linux (6.0post-0.20031117.6rh)
Copyright 2003 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and 
you are
welcome to change it and/or distribute copies of it under certain 
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for 
details.
This GDB was configured as "i386-redhat-linux-gnu".
(gdb) attach 1645
Attaching to process 1645
Reading symbols from /usr/bin/Xvnc...(no debugging symbols 
found)...done.
Using host libthread_db library "/lib/tls/libthread_db.so.1".
Reading symbols from /usr/lib/libstdc++.so.5...(no debugging symbols 
found)...done.
Loaded symbols for /usr/lib/libstdc++.so.5
Reading symbols from /lib/tls/libm.so.6...(no debugging symbols 
found)...done.
Loaded symbols for /lib/tls/libm.so.6
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols 
found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/tls/libc.so.6...(no debugging symbols 
found)...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/ld-linux.so.2...(no debugging symbols 
found)...done.
Loaded symbols for /lib/ld-linux.so.2
0xb75ebc32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
(gdb) bt
#0  0xb75ebc32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0xb7496f4d in ___newselect_nocancel () from /lib/tls/libc.so.6
#2  0x0807a30f in StandardMinorOpcode ()
#3  0x0806090a in ?? ()
#4  0xbfffc204 in ?? ()
#5  0x00000001 in ?? ()

(gdb) detach
Detaching from program: /usr/bin/Xvnc, process 1645
Comment 1 Tim Waugh 2004-03-09 12:26:52 EST
What's in the logfile that the vncserver program creates?
Comment 2 Franky Wong 2004-03-09 12:41:03 EST
# cat /root/.vnc/paprika:1.log 

Xvnc version 4.0b4 - built Sep  5 2003 13:04:00
Underlying X server release 40300000, The XFree86 Project, Inc


Wed Mar  3 14:46:39 2004
 vncext:      VNC extension running!
 vncext:      Listening for VNC connections on port 5901
 vncext:      Listening for HTTP connections on port 5801
 vncext:      created VNC server for screen 0
error opening security policy 
file /usr/X11R6/lib/X11/xserver/SecurityPolicy
Could not init font path element /usr/X11R6/lib/X11/fonts/CID/, 
removing from list!
SESSION_MANAGER=local/paprika:/tmp/.ICE-unix/1647
AUDIT: Wed Mar  3 14:47:14 2004: 1645 Xvnc: client 3 rejected from 
local host

Mon Mar  8 15:03:44 2004
 HTTPServer:  untrapped: read: Connection reset by peer (104)
_XSERVTransSocketINETGetPeerAddr: getpeername() failed: 107
_XSERVTransSocketINETAccept: ...SocketINETGetPeerAddr() failed:

Mon Mar  8 15:10:02 2004
 Connections: accepted: 200.55.93.183::0
 Connections: closed: 200.55.93.183::0 (write: Connection reset by 
peer (104))
Comment 9 Adam Tkac 2006-10-11 11:35:42 EDT
Plese try to reproduce it with latest version of vnc
Comment 10 RHEL Product and Program Management 2006-10-11 11:45:13 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.